NAME

OpenAPI::Client::OpenAI::Path::organization-certificates-certificate_id - Documentation for the /organization/certificates/{certificate_id} path.

OPERATIONS

DELETE /organization/certificates/{certificate_id}

deleteCertificate

$client->delete_certificate({
    body => { ... },
});

Delete a certificate from the organization.

The certificate must be inactive for the organization and all projects.

Path/query parameters

  • certificate_id (in path, required, string) - Unique ID of the certificate to delete.

Responses

200 - Certificate deleted successfully.

Content-Type: application/json

Example:

{
   "id" : "string",
   "object" : "certificate.deleted"
}

GET /organization/certificates/{certificate_id}

getCertificate

$client->get_certificate({
    body => { ... },
});

Get a certificate that has been uploaded to the organization.

You can get a certificate regardless of whether it is active or not.

Path/query parameters

  • certificate_id (in path, required, string) - Unique ID of the certificate to retrieve.

  • include (in query, optional, array) - A list of additional fields to include in the response. Currently the only supported value is content to fetch the PEM content of the certificate.

Responses

200 - Certificate retrieved successfully.

Content-Type: application/json

Example:

{
   "certificate_details" : {
      "content" : "-----BEGIN CERTIFICATE----- MIIGAjCCA...6znFlOW+ -----END CERTIFICATE-----",
      "expires_at" : 12345678,
      "valid_at" : 1234567
   },
   "created_at" : 1234567,
   "id" : "cert_abc",
   "name" : "My Certificate",
   "object" : "certificate"
}

POST /organization/certificates/{certificate_id}

modifyCertificate

$client->modify_certificate({
    body => { ... },
});

Modify a certificate. Note that only the name can be modified.

Path/query parameters

  • certificate_id (in path, required, string) - Unique ID of the certificate to modify.

Responses

200 - Certificate modified successfully.

Content-Type: application/json

Example:

{
   "certificate_details" : {
      "content" : "-----BEGIN CERTIFICATE----- MIIGAjCCA...6znFlOW+ -----END CERTIFICATE-----",
      "expires_at" : 12345678,
      "valid_at" : 1234567
   },
   "created_at" : 1234567,
   "id" : "cert_abc",
   "name" : "My Certificate",
   "object" : "certificate"
}

SCHEMAS

Certificate

Properties:

  • active (boolean) - Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.

  • certificate_details (object, required)

  • created_at (integer, required) - The Unix timestamp (in seconds) of when the certificate was uploaded.

  • id (string, required) - The identifier, which can be referenced in API endpoints

  • name (anyOf, required) - The name of the certificate.

  • object (string, required) - The object type.

    - If creating, updating, or getting a specific certificate, the object type is certificate . - If listing, activating, or deactivating certificates for the organization, the object type is organization.certificate . - If listing, activating, or deactivating certificates for a project, the object type is organization.project.certificate .

    Allowed values: certificate, organization.certificate, organization.project.certificate

DeleteCertificateResponse

Properties:

  • id (string, required) - The ID of the certificate that was deleted.

  • object (string, required) - The object type, must be certificate.deleted .

    Allowed values: certificate.deleted

ModifyCertificateRequest

Properties:

  • name (string) - The updated name for the certificate

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.